misc.h File Reference

Miscellaneous functions - header file. More...

`#include <complex>`
`#include <string>`
`#include <limits>`
`#include <itpp/itexports.h>`

Go to the source code of this file.

## Namespaces

namespace | std
| STL namespace.
namespace | itpp
| itpp namespace

## Functions

template<class T >
std::ostream & | std::operator<< (std::ostream &os, const std::complex< T > &x)
| Output stream operator for complex numbers.
template<class T >
std::istream & | std::operator>> (std::istream &is, std::complex< T > &x)
| Input stream operator for complex numbers.
bool | itpp::is_int (double x)
| Return true if x is an integer.
bool | itpp::is_even (int x)
| Return true if x is an even integer.
std::string | itpp::itpp_version ()
| Returns IT++ library version number, e.g. "3.7.1".
bool | itpp::is_bigendian ()
| Returns true if machine endianness is BIG_ENDIAN.
bool | itpp::check_big_endianness ()
| This function is deprecated. Please use is_bigendian() instead.

## Variables

const double | itpp::pi = 3.14159265358979323846
| Constant Pi.
const double | itpp::m_2pi = 2 * pi
| Constant 2*Pi.
const double | itpp::eps = std::numeric_limits<double>::epsilon()
| Constant eps.

## Detailed Description

Miscellaneous functions - header file.

Author
  Tony Ottosson, Adam Piatyszek and Conrad Sanderson

Copyright (C) 1995-2010 (see AUTHORS file for a list of contributors)

This file is part of IT++ - a C++ library of mathematical, signal processing, speech processing, and communications classes and functions.

IT++ is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

IT++ is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with IT++. If not, see http://www.gnu.org/licenses/.

Definition in file misc.h.

Generated on Mon Apr 22 2024 09:45:27 for IT++ by Doxygen 1.9.8